# CEGUI::InvalidRequestException Class Reference

Exception class used when some impossible request was made for the current system state. More...

Inheritance diagram for CEGUI::InvalidRequestException:

[legend]
Collaboration diagram for CEGUI::InvalidRequestException:

[legend]
List of all members.

## Public Member Functions

| InvalidRequestException (const String &message)

## Detailed Description

Exception class used when some impossible request was made for the current system state.